<template>
	<v-card width="97%" class="rounded-lg" id="card">
		<v-row justify="center" class="ml-5">
			<v-col
				class="col-1 mx-13"
				v-for="(weather, index) in firstHalf"
				:key="index"
			>
				<weather-block :weatherData="weather"> </weather-block>
			</v-col>
		</v-row>
		<v-row justify="center" class="ml-5">
			<v-col
				class="col-1 mx-13"
				v-for="(weather, index) in secondHalf"
				:key="index"
			>
				<weather-block :weatherData="weather"> </weather-block>
			</v-col>
		</v-row>
	</v-card>
</template>

<script>
import WeatherBlock from './WeatherBlock';
import api from '../api';

export default {
	name: 'Weather',
	components: { WeatherBlock },
	data() {
		return {
			weathers: [],
		};
	},
	created() {
		this.getWeatherData();
	},
	methods: {
		getWeatherData() {
			api.events.getTwoWeeksForecast().then(res => {
				this.weathers = res.data;
			});
		},
	},
	computed: {
		firstHalf() {
			return this.weathers.slice(0, this.weathers.length / 2).reverse();
		},
		secondHalf() {
			return this.weathers.slice(-this.weathers.length / 2).reverse();
		},
	},
};
</script>

<style>
#card {
	background-color: #dfeeea;
	opacity: 0.95;
}
</style>
